#ifndef __LOG_DEBUG_H
#define __LOG_DEBUG_H

#ifdef __cplusplus
extern "C" {
#endif

#include <stdio.h>

#ifdef LOD_DEBUG_ENABLE
#define LOG_DEBUG(f_, ...) do { printf((f_), ##__VA_ARGS__); } while(0)
#else
#define LOG_DEBUG(f_, ...)
#endif

#define EOL "\r\n"

#define BYTE_TO_BINARY_PATTERN "%c%c%c%c%c%c%c%c"
#define BYTE_TO_BINARY(byte)  \
    ((byte) & 0x80 ? '1' : '0'), \
    ((byte) & 0x40 ? '1' : '0'), \
    ((byte) & 0x20 ? '1' : '0'), \
    ((byte) & 0x10 ? '1' : '0'), \
    ((byte) & 0x08 ? '1' : '0'), \
    ((byte) & 0x04 ? '1' : '0'), \
    ((byte) & 0x02 ? '1' : '0'), \
    ((byte) & 0x01 ? '1' : '0') 

void LOG_DEBUG_Configure(uint32_t baudrate, uint16_t stop_bits, uint16_t parity);

#ifdef __cplusplus
}
#endif

#endif /* __LOG_DEBUG_H */
